Loading...
Searching...
No Matches
_MontageInfo Struct Reference

## Data Fields

char * | geometry
char * | tile
char * | title
char * | frame
char * | texture
char * | font
double | pointsize
size_t | border_width
MagickBooleanType | shadow
PixelInfo | alpha_color
PixelInfo | background_color
PixelInfo | border_color
PixelInfo | fill
PixelInfo | stroke
GravityType | gravity
char | filename [MagickPathExtent]
MagickBooleanType | debug
size_t | signature
PixelInfo | matte_color

## Detailed Description

Definition at line 33 of file montage.h.

## Field Documentation

## alpha_color

PixelInfo _MontageInfo::alpha_color

Definition at line 53 of file montage.h.

## background_color

PixelInfo _MontageInfo::background_color

Definition at line 54 of file montage.h.

## border_color

PixelInfo _MontageInfo::border_color

Definition at line 55 of file montage.h.

## border_width

size_t _MontageInfo::border_width

Definition at line 47 of file montage.h.

## debug

MagickBooleanType _MontageInfo::debug

Definition at line 66 of file montage.h.

## filename

char _MontageInfo::filename[MagickPathExtent]

Definition at line 63 of file montage.h.

## fill

PixelInfo _MontageInfo::fill

Definition at line 56 of file montage.h.

## font

char * _MontageInfo::font

Definition at line 41 of file montage.h.

## frame

char * _MontageInfo::frame

Definition at line 39 of file montage.h.

## geometry

char* _MontageInfo::geometry

Definition at line 36 of file montage.h.

## gravity

GravityType _MontageInfo::gravity

Definition at line 60 of file montage.h.

## matte_color

PixelInfo _MontageInfo::matte_color

Definition at line 72 of file montage.h.

## pointsize

double _MontageInfo::pointsize

Definition at line 44 of file montage.h.

## shadow

MagickBooleanType _MontageInfo::shadow

Definition at line 50 of file montage.h.

## signature

size_t _MontageInfo::signature

Definition at line 69 of file montage.h.

## stroke

PixelInfo _MontageInfo::stroke

Definition at line 57 of file montage.h.

## texture

char * _MontageInfo::texture

Definition at line 40 of file montage.h.

## tile

char * _MontageInfo::tile

Definition at line 37 of file montage.h.

## title

char * _MontageInfo::title

Definition at line 38 of file montage.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/montage.h